# Unit lmemorymanager

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

`LMemoryManager` - Logical Memory Management

## Uses

- util
- vmemorymanager
- pmemorymanager
- console
- tracer

## Overview

### Classes, Interfaces, Objects and Records

Name | Description
--- | ---
Packed Record `THeapPage` |

### Functions and Procedures

`procedure init;`
`function kalloc(size : uint32) : void;`
`function kpalloc(address : uint32) : void;`
`procedure kfree(area : void);`

### Types

`THeapEntry = bitpacked record Present : Boolean; Root : Boolean; Last : Boolean; Resv1 : Boolean; Resv2 : Boolean; Resv3 : Boolean; Resv4 : Boolean; Resv5 : Boolean; end;`
`PHeapPage = ˆTHeapPage;`

### Constants

`ALLOC_SPACE = 8;`
`MAX_ENTRIES = $60000;`
`DATA_OFFSET = $100000;`

### Variables

`Root_Page: PHeapPage;`
`Search_Page: PHeapPage;`

## Description

### Functions and Procedures

`procedure init;`

`function kalloc(size : uint32) : void;`

`function kpalloc(address : uint32) : void;`

`procedure kfree(area : void);`

### Types

`THeapEntry = bitpacked record Present : Boolean; Root : Boolean; Last : Boolean; Resv1 : Boolean; Resv2 : Boolean; Resv3 : Boolean; Resv4 : Boolean; Resv5 : Boolean; end;`

`PHeapPage = ˆTHeapPage;`

### Constants

`ALLOC_SPACE = 8;`

`MAX_ENTRIES = $60000;`
64-Bit Allocations

`DATA_OFFSET = $100000;`

### Variables

`Root_Page: PHeapPage;`

`Search_Page: PHeapPage;`

## Author

- Kieron Morris <kjm@kieronmorris.me>

Generated by PasDoc 0.15.0.